#
# spec file for package yast2-multipath
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-multipath
Version:        3.1.7
Release:        1.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

Requires:       yast2
BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-storage
BuildRequires:  yast2-testsuite

BuildArch:      noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - Multipath Configuration
License:        GPL-2.0+
Group:          System/YaST

%description
Multipath I/O is a fault tolerance technique whereby there is more than
one physical path between the CPU in a computer system and its mass
storage devices through the buses, controllers, switches, and bridge
devices connecting them.

You can configure your multipathed devices with this module.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%files
%defattr(-,root,root)
%dir %{_prefix}/share/YaST2/include/multipath
%{_prefix}/share/YaST2/include/multipath/*
%{_prefix}/share/YaST2/clients/multipath.rb
%{_prefix}/share/YaST2/modules/Multipath.*
%{_prefix}/share/applications/YaST2/multipath.desktop
%{_prefix}/share/YaST2/scrconf/*.scr
%{_prefix}/lib/YaST2/servers_non_y2/*
%doc %{_prefix}/share/doc/packages/yast2-multipath

%changelog
* Mon Jun  6 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.7
* Mon May  4 2015 lszhu@suse.com
- BNC#925864, fix a bug on that path selector not working, add
  service-time 0 and queue-length 0.
  Version 3.1.6
* Mon Jan 26 2015 jreidinger@suse.com
- fixed \r character lost during conversion to Ruby
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Thu Oct 30 2014 nwang@suse.com
- BNC#900822. Remove start/stop "boot.multipath" due to
  it is obsoleted.Fix in SLE12 Maintenance Update.
- Version 3.1.4
* Wed Jul 16 2014 nwang@suse.com
- BNC#887467. Fix fail to delete multipath without an "alias".
- Version 3.1.3
* Tue May 27 2014 nwang@suse.com
- Using same spec file of ibs and obs.
- Version 3.1.2
* Fri May  9 2014 nwang@suse.com
- BNC#875677. Modify desktop file. Change category from Misc to HA.
* Tue Mar 11 2014 dmzhang@suse.com
- remove yast2-python-binding dependence
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Fri Aug  9 2013 dmajda@suse.cz
- fixed empty include files produced because of a YCP Killer bug
  (gh#yast/ycp-killer#619)
- 3.0.1
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Mon Jul  4 2011 snwint@suse.de
- fixed typos (bnc #703181)
* Wed Aug 18 2010 mzugec@suse.cz
- fixed typo (bnc#631743)
- 2.19.0
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Tue Sep 16 2008 locilka@suse.cz
- Added ag_multipath (written in Python) and multipath.scr
* Fri Sep 12 2008 locilka@suse.cz
- Checking and installing required packages only in Mode::normal
  and Stage::normal (bnc #418703).
- 2.17.0
* Thu Jul 31 2008 coyli@suse.de
- remove [Back] button from overview page. [bnc#398498]
* Fri Aug 10 2007 coyli@suse.de
- apply a patch submitted by Martin Vidner for #299258
* Mon Jul 30 2007 coyli@suse.de
- fix #291385 (Unclear multipath status recognition).
- fix #290265, add re-read configuration when start/stop multipath.
* Thu Jul 26 2007 coyli@suse.de
- fix #291431, add input check for adding blacklist and blacklist_exception.
- fix #290352, recognize path_grouping_policy and getuid_callout.
* Sat Jul 21 2007 coyli@suse.de
- modify hardware_handler input from ComboBox to TextEntry
- remove debug information
* Sat Jul 21 2007 coyli@suse.de
- Re-write core part of yast2-multipath YCP source code
- fix #291431 (Input checking failed)
- fix #290352 (device section parsing broken)
* Tue Jul 10 2007 coyli@suse.de
- fix #290314 (does not do with blacklist_exceptions)
- fix #290265 (does not do with default built-in configuration)
* Sat Jul  7 2007 coyli@suse.de
- fix #290264 (cannot read blacklist due to a typo)
* Mon Jun 18 2007 ro@suse.de
- remove cracklib-dict-small from buildrequires
* Mon Jun 18 2007 coyli@suse.de
- use yast-iscsi-server icon as desktop icon
* Mon Apr 16 2007 coyli@suse.de
- initial version 2.13.0
